<?php 
    $page_title=(isset($_GET['section_id'])) ? 'Edit Section' : 'Create Section';
    include("includes/header.php");
    require("includes/lb_helper.php");
    require("language/language.php");
    require_once("thumbnail_images.class.php");
    
    $page_save=(isset($_GET['section_id'])) ? 'Save' : 'Create';
    
    $category_qry="SELECT * FROM tbl_category ORDER BY tbl_category.cid DESC"; 
    $category_result=mysqli_query($mysqli,$category_qry);

    if(isset($_POST['submit']) and isset($_GET['add'])){
        
        $post_ids = implode(',',$_POST['cat_post_id']);
        
        $data = array( 
            'section_name'  =>  $_POST['section_name'],
            'section_type'  =>  'category',
            'post_ids'  =>  $post_ids
        );
        
        $qry = Insert('tbl_home_sections',$data);
        
        $_SESSION['msg']="10";
        $_SESSION['class']='success'; 
        header( "Location:manage_sections.php");
        exit;			 
    }
    
    if(isset($_GET['section_id'])){
        $qry="SELECT * FROM tbl_home_sections where id='".$_GET['section_id']."'";
        $result=mysqli_query($mysqli,$qry);
        $row=mysqli_fetch_assoc($result);
    }
    
    if(isset($_POST['submit']) and isset($_POST['section_id'])){
        
        $post_ids = implode(',',$_POST['cat_post_id']);
        
        $data = array( 
            'section_name'  =>  $_POST['section_name'],
            'section_type'  =>  'category',
            'post_ids'  =>  $post_ids
        );
        
        $banner_edit=Update('tbl_home_sections', $data, "WHERE id = '".$_POST['section_id']."'");
        
        $_SESSION['msg']="11";
        $_SESSION['class']='success'; 
        header( "Location:create_sections.php?section_id=".$_POST['section_id']);
        exit;
    }
?>

<!-- Start: main -->
<main id="nsofts_main">
    <div class="nsofts-container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb align-items-center">
                <li class="breadcrumb-item d-inline-flex"><a href="dashboard.php"><i class="ri-home-4-fill"></i></a></li>
                <li class="breadcrumb-item d-inline-flex active" aria-current="page"><?php echo (isset($page_title)) ? $page_title : "" ?></li>
            </ol>
        </nav>
            
        <div class="row g-4">
            <div class="col-12">
                <div class="card h-100">
                    <div class="card-body p-4">
                        <h5 class="mb-3"><?=$page_title ?></h5>
                        <form action="" name="addeditalbum" method="POST" enctype="multipart/form-data">
                            <input  type="hidden" name="section_id" value="<?=(isset($_GET['section_id'])) ? $_GET['section_id'] : ''?>" />
                            
                            <div class="mb-3 row">
                                <label class="col-sm-2 col-form-label">Section Title</label>
                                <div class="col-sm-10">
                                    <input type="text" name="section_name" class="form-control" value="<?php if(isset($_GET['section_id'])){echo $row['section_name'];}?>" required>
                                </div>
                            </div>
                            
                            <div class="mb-3 row">
                                <label class="col-sm-2 col-form-label">Add Categories</label>
                                <div class="col-sm-10">
                                    <select name="cat_post_id[]" id="cat_post_id" class="nsofts-select" multiple="multiple">
                                        <option value="">--Select Categories--</option>
                                        <?php while($category_row=mysqli_fetch_array($category_result)){ ?> 
                                            <option value="<?php echo $category_row['cid'];?>" <?php if(in_array($category_row['cid'], explode(",",$row['post_ids']))){?>selected<?php }?>><?php echo $category_row['category_name'];?></option>                           
                                        <?php } ?>
                                    </select>
                                </div>
                            </div>
                            
                            <div class="mb-3 row">
                                <label class="col-sm-2 col-form-label">&nbsp;</label>
                                <div class="col-sm-10">
                                    <button type="submit" name="submit" class="btn btn-primary" style="min-width: 120px;"><?=$page_save?></button>
                                </div>
                            </div>
                            
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
<!-- End: main -->
    
<?php include("includes/footer.php");?> 